| Home | Libraries | People | FAQ | More

## Struct template assign

boost::proto::assign — A metafunction for generating assignment expression types, a grammar element for matching assignment expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T, typename U>
    struct assign :  proto::transform< assign<T, U> > {
      // types
      typedef proto::expr< proto::tag::assign, proto::list2< T, U > > type;
      typedef type                                                    proto_base_expr;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<assign>::template impl<Expr, State, Data>
      {
      };
    };

## Description